//
//  Channel.h
//  Channels
//

#import <Foundation/Foundation.h>

@interface Channel : NSObject <NSTableViewDataSource, NSTableViewDelegate> {
    NSString *name;
    NSButton *button;
    NSTextView *chatWindow;
    NSTableView *nickList;
    NSMutableArray *nicks;
    NSScrollView *nickScrollView;
}

- (void)listNicks;
- (void)addNick:(NSString*)newNick;
- (void)moveButton:(NSRect)newRect;
- (NSString *)buttonTitle;

@property (nonatomic, retain) NSString *name;
@property (nonatomic, retain) NSButton *button;
@property (nonatomic, retain) NSTextView *chatWindow;
@property (nonatomic, retain) NSTableView *nickList;
@property (nonatomic, retain) NSScrollView *nickScrollView;


@end
